Bug 171794 - [PATCH] PIO data out commands cause kernel segfault
[PATCH] PIO data out commands cause kernel segfault
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-10-26 11:58 EDT by Leonard den Ottolander
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-10 16:31:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Fixes segfault when issuing PIO data out commands. Patch by Tim Thelin for linux-2.6.14. (325 bytes, patch)
2005-10-26 11:58 EDT, Leonard den Ottolander
no flags Details | Diff

  None (edit)
Description Leonard den Ottolander 2005-10-26 11:58:14 EDT
Description of problem:

hdparm as of 6.2 features the PIO data out security commands that enable the
user to lock and unlock IDE drives.

However issuing these commands will cause a kernel segfault. On older version
I've even experienced kernel crashes (RHEL4 2.6.9-x kernel). Although I haven't
tested this patch against these older kernels I assume it will fix at least part
of the problem. Segfault in the FC4 kernel is totally fixed by this one line patch.

Version-Release number of selected component (if applicable):

How reproducible:
Rebuild the kernel with CONFIG_IDE_TASK_IOCTL enabled. Issue a security PIO data
out command with hdparm >= 6.2. See the kernel segfault (or even panic on
kernels older than 2.6.12).
Comment 1 Leonard den Ottolander 2005-10-26 11:58:15 EDT
Created attachment 120419 [details]
Fixes segfault when issuing PIO data out commands. Patch by Tim Thelin for linux-2.6.14.
Comment 2 Dave Jones 2005-11-10 15:10:03 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 3 Leonard den Ottolander 2005-11-10 16:31:05 EST
As mentioned in comment #1 this fix went into 2.6.14 so the issue is hereby
fixed. Now we still need CONFIG_IDE_TASK_IOCTL to be enabled to actually be able
to use the PIO data commands.

Note You need to log in before you can comment on or make changes to this bug.